import jingrow

base_template_path = "www/robots.txt"


def get_context(context):
	robots_txt = (
		jingrow.db.get_single_value("Website Settings", "robots_txt")
		or (jingrow.local.conf.robots_txt and jingrow.read_file(jingrow.local.conf.robots_txt))
		or ""
	)

	return {"robots_txt": robots_txt}
